PICO kennenlernen: Entdecke die Oberfläche in der Produkttour oder beginne mit dem Schnellstart.

Heatmaps

GET https://pico-analytics.com/api/heatmaps/
curl --request GET \
--url 'https://pico-analytics.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
website_id Optional Ganzzahl
user_id Optional Ganzzahl
is_enabled Optional Ganzzahl Erlaubte Werte: 0, 1
search Optional Zeichenfolge Der Suchtext.
search_by Optional Zeichenfolge Das Feld, in dem gesucht wird. Erlaubte Werte: name, path.
datetime_field Optional Zeichenfolge Erlaubte Werte: datetime, last_datetime
datetime_start Optional Zeichenfolge Ergebnisse ab diesem Zeitpunkt filtern. Format: Y-m-d H:i:s.
datetime_end Optional Zeichenfolge Ergebnisse bis zu diesem Zeitpunkt filtern. Format: Y-m-d H:i:s.
order_by Optional Zeichenfolge Das Feld, nach dem die Ergebnisse sortiert werden. Erlaubte Werte: heatmap_id, website_id, name, path, is_enabled, desktop_size, tablet_size, mobile_size, datetime, last_datetime.
order_type Optional Zeichenfolge Die Sortierreihenfolge der Ergebnisse. Erlaubte Werte: ASC für aufsteigend und DESC für absteigend.
page Optional Ganzzahl Die Seitenzahl, für die du Ergebnisse abrufen möchtest. Standardmäßig 1.
results_per_page Optional Ganzzahl Anzahl der Ergebnisse pro Seite. Erlaubte Werte: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig 25.
{
    "data": [
        {
            "id": 1,
            "website_id": 1,
            "user_id": 1,
            "snapshot_id_desktop": 1,
            "desktop_size": 123456,
            "snapshot_id_tablet": null,
            "tablet_size": 0,
            "snapshot_id_mobile": null,
            "mobile_size": 0,
            "name": "Example",
            "path": "/",
            "is_enabled": true,
            "datetime": "2026-11-19 22:33:30",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pico-analytics.com/api/heatmaps?page=1",
        "last": "https://pico-analytics.com/api/heatmaps?page=1",
        "next": null,
        "prev": null,
        "self": "https://pico-analytics.com/api/heatmaps?page=1"
    }
}
GET https://pico-analytics.com/api/heatmaps/{heatmap_id}
curl --request GET \
--url 'https://pico-analytics.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "snapshot_id_desktop": 1,
        "desktop_size": 123456,
        "snapshot_id_tablet": null,
        "tablet_size": 0,
        "snapshot_id_mobile": null,
        "mobile_size": 0,
        "name": "Example",
        "path": "/",
        "is_enabled": true,
        "datetime": "2026-11-19 22:33:30",
        "last_datetime": null
    }
}
GET https://pico-analytics.com/api/heatmaps/{heatmap_id}/data
curl --request GET \
--url 'https://pico-analytics.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
snapshot_type Optional Zeichenfolge Erlaubte Werte: desktop, tablet, mobile
type Optional Zeichenfolge Erlaubte Werte: clicks, scrolls
start_date Optional Zeichenfolge Startdatum im Format Y-m-d. Wenn nicht angegeben, gilt standardmäßig 30 days ago.
end_date Optional Zeichenfolge Enddatum im Format Y-m-d. Wenn nicht angegeben, gilt standardmäßig today.
{
    "data": {
        "id": 1,
        "website_id": 1,
        "snapshot_id": 1,
        "snapshot_type": "desktop",
        "type": "clicks",
        "start_date": "2026-01-01",
        "end_date": "2026-01-31",
        "heatmap_data": [
            [25.25, 60.5, 1]
        ],
        "heatmap_data_count": 1
    }
}
POST https://pico-analytics.com/api/heatmaps
Parameter Details Beschreibung
website_id Erforderlich Ganzzahl
name Erforderlich Zeichenfolge
path Optional Zeichenfolge
is_enabled Optional Ganzzahl Erlaubte Werte: 0, 1
curl --request POST \
--url 'https://pico-analytics.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "snapshot_id_desktop": null,
        "desktop_size": 0,
        "snapshot_id_tablet": null,
        "tablet_size": 0,
        "snapshot_id_mobile": null,
        "mobile_size": 0,
        "name": "Example",
        "path": "/",
        "is_enabled": true,
        "datetime": "2026-11-19 22:33:30",
        "last_datetime": null
    }
}
POST https://pico-analytics.com/api/heatmaps/{heatmap_id}
Parameter Details Beschreibung
name Optional Zeichenfolge
is_enabled Optional Ganzzahl Erlaubte Werte: 0, 1
curl --request POST \
--url 'https://pico-analytics.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "snapshot_id_desktop": 1,
        "desktop_size": 123456,
        "snapshot_id_tablet": null,
        "tablet_size": 0,
        "snapshot_id_mobile": null,
        "mobile_size": 0,
        "name": "Example",
        "path": "/",
        "is_enabled": true,
        "datetime": "2026-11-19 22:33:30",
        "last_datetime": "2026-11-19 22:33:30"
    }
}
DELETE https://pico-analytics.com/api/heatmaps/{heatmap_id}
curl --request DELETE \
--url 'https://pico-analytics.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \